package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.distributed.print.business.entity.TCScoreNormal;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 平常作业成绩表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2024-02-18
 */
public interface TCScoreNormalMapper extends BaseMapper<TCScoreNormal> {

    /**
     * 成绩管理列表
     *
     * @param iPage
     * @param semesterId
     * @param examId
     * @return
     */
    public IPage<Map> scoreList(IPage<Map> iPage, @Param("semesterId") Long semesterId, @Param("examId") Long examId);
}
