package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.entity.TCScoreNormal;

import java.util.Map;

/**
 * <p>
 * 平常作业成绩表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2024-02-18
 */
public interface TCScoreNormalService extends IService<TCScoreNormal> {

    /**
     * 成绩管理列表
     *
     * @param iPage
     * @param semesterId
     * @param examId
     * @return
     */
    public IPage<Map> scoreList(IPage<Map> iPage, Long semesterId, Long examId);
}
