package com.qmth.distributed.print.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.distributed.print.business.entity.TCScoreNormal;
import com.qmth.distributed.print.business.mapper.TCScoreNormalMapper;
import com.qmth.distributed.print.business.service.TCScoreNormalService;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 平常作业成绩表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2024-02-18
 */
@Service
public class TCScoreNormalServiceImpl extends ServiceImpl<TCScoreNormalMapper, TCScoreNormal> implements TCScoreNormalService {

    /**
     * 成绩管理列表
     *
     * @param iPage
     * @param semesterId
     * @param examId
     * @return
     */
    @Override
    public IPage<Map> scoreList(IPage<Map> iPage, Long semesterId, Long examId) {
        return this.baseMapper.scoreList(iPage, semesterId, examId);
    }
}
